> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourthwall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Webhook

> *Rate limit: 100 requests / 10 seconds per shop. See [Rate limiting](/guides/rate-limiting).*

Delete a webhook

> [!NOTE]
>
> **OAuth scope:** `webhook_write`
>
> API keys have full access to this endpoint.


## OpenAPI

````yaml openapi/platform.json DELETE /open-api/v1.0/webhooks/{webhookConfigurationId}
openapi: 3.1.0
info:
  title: Fourthwall APIs
  description: Service used for management of orders, carts, and payments.
  termsOfService: https://fourthwall.com/terms-of-service
  version: unspecified
servers:
  - url: https://api.fourthwall.com
    description: Production server
security: []
externalDocs:
  description: OpenAPI documentation
  url: https://docs.fourthwall.com
paths:
  /open-api/v1.0/webhooks/{webhookConfigurationId}:
    delete:
      tags:
        - Webhooks
      summary: Delete a webhook
      description: >-
        *Rate limit: 100 requests / 10 seconds per shop. See [Rate
        limiting](/guides/rate-limiting).*


        Delete a webhook
      operationId: delete-webhook
      parameters:
        - name: webhookConfigurationId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
        '400':
          description: 'Possible errors: `WEBHOOK_CONFIGURATION_NOT_UPDATABLE_OR_DELETABLE`'
          content:
            application/json:
              examples:
                webhook-configuration-not-updatable-or-deletable:
                  value:
                    code: WEBHOOK_CONFIGURATION_NOT_UPDATABLE_OR_DELETABLE
                    webhookConfigurationId: <webhookconfigurationid>
                    shopId: <shopid>
        '404':
          description: 'Possible errors: `WEBHOOK_CONFIGURATION_NOT_FOUND`'
          content:
            application/json:
              examples:
                webhook-configuration-not-found:
                  value:
                    code: WEBHOOK_CONFIGURATION_NOT_FOUND
                    webhookConfigurationId: <webhookconfigurationid>
                    shopId: <shopid>
        '429':
          description: 'Rate limited: 100 requests / 10 seconds per shop.'
          content:
            application/json:
              examples:
                too-many-requests:
                  value:
                    code: OPEN_API_TOO_MANY_REQUESTS
                    title: Too many requests
                    status: 429
      security:
        - bearerAuth: []
        - basicAuth: []
      externalDocs:
        url: >-
          https://docs.fourthwall.com/api-reference/platform/webhooks/delete-webhook
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        OAuth 2.0 access token, sent as `Authorization: Bearer <token>`. See
        https://docs.fourthwall.com/guides/oauth. The scopes an operation
        requires are listed in its `x-fourthwall-scopes`.
    basicAuth:
      type: http
      scheme: basic

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.